murano (1:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 22:25:36 +0200

murano (1:8.0.0-3) unstable; urgency=medium

  * Blacklist failing tests (failing because of wrong order in result):
    - test_XML_Dict_Serializer_create_link_nodes()
    - test_export_fixation_table()
    (Closes: #951927).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 21:24:23 +0100

murano (1:8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 19:23:32 +0200

murano (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:38:03 +0200

murano (1:8.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 22:42:44 +0200

murano (1:7.0.0-4) unstable; urgency=medium

  * Rebuilt with muranoclient 1.2.0-4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 14:17:17 +0200

murano (1:7.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:28:13 +0200

murano (1:7.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 11:58:51 +0200

murano (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:59:27 +0200

murano (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Add oslo.upgradecheck as (build-)depends.
  * Removed python3- prefix when calling the config generators.
  * Removed Python 3.7 patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 23:45:31 +0100

murano (1:6.0.0-2) unstable; urgency=medium

  * Correctly remove /etc/murano after deleting other files (Closes: #910916).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:56:15 +0100

murano (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Remove /etc/murano/{logging.conf,murano-paste.ini,policy.yaml} on purge
    (Closes: #905505).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:32:21 +0200

murano (1:6.0.0~rc1-2) experimental; urgency=medium

  * Fix binaries-have-file-conflict
  * d/control: Add replaces and breaks to murano-common
  * Run wrap-and-sort -bast

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 28 Aug 2018 14:58:12 +0200

murano (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Do not redefine $PATH in init.in scripts (already done in o-p-t).
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add py3.7-fix-async-keyword.patch.
  * debian/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.
  * Add py3.7-remove-StopIteration-failing-test.patch.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 17:00:39 +0200

murano (1:5.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 17:50:42 +0000

murano (1:5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix python3-murano description (Closes: #891694)

  [ Thomas Goirand ]
  * New upstream release.
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:28:27 +0000

murano (1:5.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Reviewed debian/copyright holders list and years.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 13:26:56 +0100

murano (1:4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add Russian debconf translation (Closes: #883460)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 16:20:12 +0100

murano (1:4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876310).
  * Removing /etc/murano/murano-cfapi-paste.ini on purge (Closes: #854527).
  * Added missing EPOCH for -mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:52:25 +0000

murano (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove SQLAlchemy version patch.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * d/rules: Removed things defined in openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Also install usr/bin/murano-wsgi-api.
  * Remove dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 23:18:34 +0200

murano (1:3.0.0-6) unstable; urgency=medium

  * Re-incorporate NMU from piotr fixing SQLA depends.
  * Danish translation of the debconf templates (Closes: #849983).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 17:46:45 +0200

murano (1:3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:55:59 +0200

murano (1:3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:13:14 +0100

murano (1:3.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Feb 2017 12:46:10 +0100

murano (1:3.0.0-3) unstable; urgency=medium

  * Fix murano-cfapi startup (LP: 1659270):
    - Correctly loads murano-cfapi.conf instead of murano.conf.
    - Package and install murano-cfapi-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jan 2017 22:16:32 +0100

murano (1:3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * rm /etc/murano/murano-cfapi.conf on purge (Closes: #842072).
  * Added lsb-base to depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:32:17 +0100

murano (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:59:40 +0200

murano (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable (Closes: #835101).
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:58:15 +0200

murano (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2016 23:48:10 +0200

murano (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    CVE-2016-4972_Use_SafeLoader_to_load_yaml_files.patch
  * Add murano-cfapi-db-manage to the list of binaries in murano-common.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 12:51:42 +0200

murano (1:3.0.0~b1-2) experimental; urgency=medium

  * CVE-2016-4972: RCE vulnerability in Openstack Murano using insecure YAML
    tags. Applied upstream patch: Use SafeLoader to load yaml files.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 19:34:34 +0000

murano (1:3.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-oslo-config-generation-in-tempest.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 09:30:35 +0200

murano (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821244).
  * Added patch to fix tempest.conf when python-murano is installed.
  * Updated Dutch translation for debconf messages (Closes: #823257).

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Apr 2016 00:27:23 +0200

murano (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:47:15 +0200

murano (1:2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated de.po debconf translation (Closes: #819364).
  * Removed also-package-tempest-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:08:21 +0200

murano (1:2.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:48:52 +0000

murano (1:2.0.0~rc1-2) experimental; urgency=medium

  * Add patch to also package murano_tempest_tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 13:19:22 +0100

murano (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:16:30 +0100

murano (1:2.0.0~b3-2) experimental; urgency=medium

  * Install missing files (alembic.ini, locale, etc.).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 13:40:03 +0000

murano (1:2.0.0~b3-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/rules d/copyright: Fix upstream link.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Sets DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit instead of patching the
    .testr.conf file.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 16:07:00 +0100

murano (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 21:13:19 +0100

murano (1:1.0.1-2) unstable; urgency=medium

  * Zip the murano core-library and make it available.
  * Don't use dpkg-parsechangelog -S which doesn't work well with Trusty.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Nov 2015 14:18:14 +0100

murano (1:1.0.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #794805).
  * Added python-pymysql as runtime dependency.
  * Added missing namespaces when generating the murano.conf.
  * Setting-up rabbit config using the [oslo_messaging_rabbit] section.

  [ Corey Bryant ]
  * New upstream release for OpenStack Liberty.
  * d/control: Align dependencies with upstream.
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:11:32 +0000

murano (1:1.0.0~rc1-2) experimental; urgency=medium

  * Set http instead of https by default for the communication with keystone
    through keystonemiddleware.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 14:48:20 +0200

murano (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now murano-api depends on python-openstackclient.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:03:01 +0000

murano (1:1.0.0~b3-2) experimental; urgency=medium

  * Added cfapi package.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2015 15:03:08 +0200

murano (1:1.0.0~b3-1) experimental; urgency=low

  [ Ivan Udovichenko ]
  * Add myself to Uploaders field.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 11:32:15 +0200

murano (1:1.0.0~b1-1) experimental; urgency=low

  * New upstream release.
  * Remove removed-lockfile-from-requirements patch.
  * Remove remove-the-use-of-PROTOCOL_SSLv3 patch.
  * Remove patches-.testr.conf-for-test-discovery-folder patch.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Thu, 16 Jul 2015 22:39:35 +0300

murano (2015.1.0-8) unstable; urgency=medium

  * Allow running with SQLA 1.0.6:
    - Rebuilt with new depends (Closes: #790644).
    - Fixes requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:53:54 +0000

murano (2015.1.0-7) unstable; urgency=medium

  * Removes python-lockfile dependency (Closes: #789888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:37:29 +0200

murano (2015.1.0-6) unstable; urgency=medium

  * Added French debconf translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789033).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 14:50:46 +0200

murano (2015.1.0-5) unstable; urgency=medium

  * Also purges /var/cache/murano (Closes: #788832).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:32:10 +0200

murano (2015.1.0-4) unstable; urgency=medium

  * Make murano build reproduceable (Closes: #788396). Thanks to Juan Picca
    <jumapico@gmail.com> for the bug report and patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 19:28:37 +0200

murano (2015.1.0-3) unstable; urgency=medium

  * Added fr.po debconf translation (Closes: #785227).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:36:41 +0200

murano (2015.1.0-2) unstable; urgency=medium

  * Added pt.po debconf translation (Closes: #784594).
  * Added the creation of /var/cache/murano/meta in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:19:21 +0200

murano (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:10:22 +0000

murano (2015.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Rebased the "disable-failing-tests.patch" which didn't apply anymore.
  * Now generating the .conf file using oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:50:42 +0100

murano (2014.2-3) experimental; urgency=medium

  * Added ordereddict to pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Dec 2014 00:22:18 +0800

murano (2014.2-2) experimental; urgency=medium

  * murano-api and murano-engine now depends on murano-common.
  * Fixed the service type for murano-api.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 21:14:37 +0800

murano (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 13:04:57 +0800

murano (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Fixed double-declared (build-)depends on python-keystoneclient.
  * Standards-Version is now 3.9.6 (no change).
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 14:05:24 +0800

murano (2014.2~b3-1) experimental; urgency=low

  * Initial release. (Closes: #762822)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 17:35:42 +0800
